## org.plovr
Class CoffeeScriptCompilerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.plovr.CoffeeScriptCompilerException

All Implemented Interfaces:
  Serializable

    public class CoffeeScriptCompilerException

extends Exception

An exception thrown by the CoffeeScript compiler.

Author:
  bolinfest@gmail.com (Michael Bolin)
See Also:
  Serialized Form

Constructor Summary
`CoffeeScriptCompilerException(String message)`

Method Summary
`int` `getLineNumber()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoffeeScriptCompilerException

    public CoffeeScriptCompilerException(String message)

Parameters:
  `message` - should be of the form: In INPUT, Parse error on line LINE_NUMBER: PARSE_ERROR.

Method Detail

### getLineNumber

    public int getLineNumber()